-----------------------------------------
---  Copyright HDRsoft - www.hdrsoft.com   
-----------------------------------------

local LrApplication = import 'LrApplication'
local LrDialogs = import 'LrDialogs'
local LrErrors = import 'LrErrors'
local LrFileUtils = import 'LrFileUtils'
local LrPathUtils = import 'LrPathUtils'
local LrExportSession = import 'LrExportSession'
local LrTasks = import 'LrTasks'
local prefs = import 'LrPrefs'.prefsForPlugin() 
local LrLogger = import 'LrLogger'

local myLogger = LrLogger('PhotomatixLogger')
myLogger:enable("print") 

CreateHDR = {}

function CreateHDR.outputToLog(message)
	myLogger:trace(message)
end



LrTasks.startAsyncTask( function()

	local pmdebug = true

	if pmdebug then
		CreateHDR.outputToLog("Passe dans CreateHDR")
	end
		

	LrTasks.startAsyncTask( function()
		local activeCatalog = LrApplication.activeCatalog()
		local filmstrip = activeCatalog.targetPhotos	
		local exportSession = LrExportSession{
			exportSettings = {
				LR_exportServiceProvider = 'com.hdrsoft.photomatix.createhdr.lightroom',
				LR_exportServiceProviderTitle = "Photomatix",
				LR_format="TIFF",
				LR_tiff_compressionMethod="compressionMethod_None",
				LR_export_bitDepth=16,
				LR_export_colorSpace="AdobeRGB",
				LR_minimizeEmbeddedMetadata = false,		
				LR_size_resolution=300,
				LR_metadata_keywordOptions="lightroomHierarchical",
				LR_minimizeEmbeddedMetadata = false,
				--- LR_removeLocationMetadata=false,
			},
		photosToExport = filmstrip }	
		exportSession:doExportOnCurrentTask()
	end )
end )


